GNU bug report logs - #25769
24.5; netrc-parse assumes machine/login/password all appear on one line

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: trentbuck@HIDDEN (Trent W. Buck); dated Fri, 17 Feb 2017 01:23:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 25769 <at> debbugs.gnu.org:


Received: (at 25769) by debbugs.gnu.org; 21 Feb 2017 02:49:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 20 21:49:52 2017
Received: from localhost ([127.0.0.1]:47966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cg0WW-0002Lt-Fu
	for submit <at> debbugs.gnu.org; Mon, 20 Feb 2017 21:49:52 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50894)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1cg0WU-0002Lh-MX
 for 25769 <at> debbugs.gnu.org; Mon, 20 Feb 2017 21:49:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1cg0WO-0004ou-S0
 for 25769 <at> debbugs.gnu.org; Mon, 20 Feb 2017 21:49:45 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55278)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1cg0WM-0004nx-DM; Mon, 20 Feb 2017 21:49:42 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1cg0WL-0000yo-Rt; Mon, 20 Feb 2017 21:49:41 -0500
From: Glenn Morris <rgm@HIDDEN>
To: "Trent W. Buck" <trentbuck@HIDDEN>
Subject: Re: bug#25769: 24.5;
 netrc-parse assumes machine/login/password all appear on one line
References: <87d1ehoblp.fsf@HIDDEN> <877f4okf0p.fsf@HIDDEN>
 <20170220000243.GA1935@frey>
X-Spook: Al-Shabaab Tamaulipas airframe JSOFC3IP EuroFed Worm Air
X-Ran: 22@]?RFKsw@z|kq-vN5nM|4,!iW[YeF:Y5~-c(I;-B5E3}?^/Wdm;d;o@Cq0C_CxyMgLuJ
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 20 Feb 2017 21:49:41 -0500
In-Reply-To: <20170220000243.GA1935@frey> (Trent W. Buck's message of "Mon, 20
 Feb 2017 11:02:45 +1100")
Message-ID: <b8o9xwi7ga.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 25769
Cc: Ted Zlatanov <tzz@HIDDEN>, 25769 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

"Trent W. Buck" wrote:

> Ah, I didn't realize netrc.el had been replaced by auth-source.el.

That's because it hasn't. No-one has obsoleted any netrc function, and
it's totally reasonable to assume that netrc.el is the Emacs netrc library.

As was pointed out in 12511, Emacs has multiple netrc parsers
(netrc-parse, tramp-parse-netrc, auth-source-netrc-parse,
ange-ftp-parse-netrc). It's a mess.

>> I would rather not patch or support netrc.el--better to remove it
>> altogether.

Then please start by making it obsolete and advertising a replacement.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25769; Package emacs. Full text available.

Message received at 25769 <at> debbugs.gnu.org:


Received: (at 25769) by debbugs.gnu.org; 20 Feb 2017 00:02:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 19 19:02:57 2017
Received: from localhost ([127.0.0.1]:46646 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cfbRR-0005mi-FH
	for submit <at> debbugs.gnu.org; Sun, 19 Feb 2017 19:02:57 -0500
Received: from mail-pg0-f68.google.com ([74.125.83.68]:34472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <trentbuck@HIDDEN>) id 1cfbRP-0005mV-6f
 for 25769 <at> debbugs.gnu.org; Sun, 19 Feb 2017 19:02:55 -0500
Received: by mail-pg0-f68.google.com with SMTP id v184so10562551pgv.1
 for <25769 <at> debbugs.gnu.org>; Sun, 19 Feb 2017 16:02:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=4+iKg47LIgY2BXzh/OpYQMH/1S1n4B5xxcincWgsszI=;
 b=sXxSP2MQ0zMcQJSYL9J3M+QZDL5S0eyNTpmc0TQkHWMorrToyZEo8PuK0GstbQOYWL
 JcVHKkmixqr/s8N4y4WvDfE+z33aMn7ReGrwpPLEEeIu+mgX8M0mz1kUhe5Awp8ZfpJ2
 dsl/xevDl6O0X8atMD5fknWLzJUxTbjiqmuE1DGX1dliBk/5mTPATOoopQc5j28T0gqB
 yhcp8/PT6WAF8kUXE11oTrtB6iouctjWEHFKf4e6Ft9h8W3xYhIhlajtR7Ubu3s9yQBq
 KLcdgzlvTpqgo7wvAArBRKB/5akTRCa9cJ2WGge6p8k88Tfvnh7qH9iv0BRWvFi1NZK/
 amEg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:references
 :mime-version:content-disposition:content-transfer-encoding
 :in-reply-to:user-agent;
 bh=4+iKg47LIgY2BXzh/OpYQMH/1S1n4B5xxcincWgsszI=;
 b=b2duFLHy71bBTmY4WP4b4QggVm0nsqbHqlOywg2ssKhkQK+UXZ+dh9qVGOqHwfZQzE
 M2xnSZKX7PYjHpmBesb3Ki6jGgmhlOORkLwrR5OPXeDXqeFBPPo+V0TQcQcJ6VNclhG1
 IfjUr4XNgvUdAKUoX4oFRDgK1ZL7RFSMO2JNN0xmWFc11lGlLGJoLqabdlpxENVdFxHo
 ci9zdDvMM+BczyuiWBVIesPj45eJnK2x9YypVNcrAxmhwfptCi2oOWqE6hkj4N4xXWzi
 DxLXvlqh6bE/+UdtHq7iLa2CfD6BidyS8cvLnhRqav0R68zWjQNmLm0dCFHcUKj8QK46
 DQrw==
X-Gm-Message-State: AMke39nvJdv4HrTeFfgkNZLq8RzFKUOAqRTkNUavAaRc1OOvDkjWSdGUzCnn2ybC4z3mHA==
X-Received: by 10.84.241.138 with SMTP id b10mr27715281pll.32.1487548969439;
 Sun, 19 Feb 2017 16:02:49 -0800 (PST)
Received: from localhost ([203.7.155.122])
 by smtp.gmail.com with ESMTPSA id y21sm31240473pgh.52.2017.02.19.16.02.47
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 19 Feb 2017 16:02:48 -0800 (PST)
Date: Mon, 20 Feb 2017 11:02:45 +1100
From: "Trent W. Buck" <trentbuck@HIDDEN>
To: Ted Zlatanov <tzz@HIDDEN>
Subject: Re: bug#25769: 24.5; netrc-parse assumes machine/login/password all
 appear on one line
Message-ID: <20170220000243.GA1935@frey>
References: <87d1ehoblp.fsf@HIDDEN>
 <877f4okf0p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <877f4okf0p.fsf@HIDDEN>
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25769
Cc: 25769 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Ted Zlatanov wrote:
> On Fri, 17 Feb 2017 12:22:10 +1100 trentbuck@HIDDEN (Trent W. Buck) wrote:
>
> TWB> ...but now I'm finally annoyed enough to actually report this and get a formal WONTFIX.
>
> Please see
> https://lists.gnu.org/archive/html/bug-gnu-emacs/2015-12/msg00266.html
> (the whole discussion is pertinent)

Yes; I see the problem there.
This is a duplicate of that bug report.

> For your bug report specifically, maybe you mean
> `auth-source-netrc-parse'? If you do mean `netrc-parse', please note
> that it's only used in one place in the whole Emacs core AFAIK.

Ah, I didn't realize netrc.el had been replaced by auth-source.el.

As a simple test I tried feeding it my actual ~/.netrc β€” some entries
are newline delimited, and some are all-on-one-line β€” but it didn't
seem to find ANY of them:

    (auth-source-netrc-parse :file "~/.netrc") β‡’ nil

But if I open .netrc manually, go to point-min, and call

    (auth-source-netrc-parse-entries #'identity 999)

…it returns a correctly parsed list, handling comments & newlines between fields perfectly.

I'm a bit puzzled which bit of code is failing to handle newlines.
Am I missing something obvious?

(I haven't read auth.info yet because I've gotta go get it specially
due to the DFSG/GFDL dispute.)

> I would rather not patch or support netrc.el--better to remove it altogether.

Understood, and agreed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25769; Package emacs. Full text available.

Message received at 25769 <at> debbugs.gnu.org:


Received: (at 25769) by debbugs.gnu.org; 17 Feb 2017 15:34:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 17 10:34:33 2017
Received: from localhost ([127.0.0.1]:43686 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cekYL-0004BQ-P8
	for submit <at> debbugs.gnu.org; Fri, 17 Feb 2017 10:34:33 -0500
Received: from mail-qk0-f175.google.com ([209.85.220.175]:36475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tzz@HIDDEN>) id 1cekYK-0004BD-5G
 for 25769 <at> debbugs.gnu.org; Fri, 17 Feb 2017 10:34:32 -0500
Received: by mail-qk0-f175.google.com with SMTP id 11so46683368qkl.3
 for <25769 <at> debbugs.gnu.org>; Fri, 17 Feb 2017 07:34:32 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lifelogs.com; s=google;
 h=from:to:cc:subject:in-reply-to:organization:references:user-agent
 :mail-copies-to:gmane-reply-to-list:date:message-id:mime-version;
 bh=uPthk2YDQmEKrGKZTXB8rtsg7nC5bv10SU2SJpzS7LE=;
 b=CMPP+8pHRFZk0JwVodnqcjSTUkrDUkosydb3BDTTrt/j7DsGHiSLJTpGRE4u+pWmUi
 w6MS9F81tp1RyWaz5L76mVA36UdAFkP+oNV6CkOZXvhPKabYSJHXVbig7n6JD77IV6RZ
 ru9xtxOYTqERLAZd+M1u6b2C7SZgBSb8dzH4M=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:organization
 :references:user-agent:mail-copies-to:gmane-reply-to-list:date
 :message-id:mime-version;
 bh=uPthk2YDQmEKrGKZTXB8rtsg7nC5bv10SU2SJpzS7LE=;
 b=QvGVSlP4bdjC6UdzHRMIfpIX/c6v4hGWLajJxIPpDbflrLJdKv8TDlsOpRG67apcQY
 Uo1URi17HEDSUNNEk5Zlli2/d/a39okBw0FJoZdwMx7nVi1X2WaaSSeePkuhR4QxXgR2
 MpmfwHcGUXYPgKyNNhL9jqgIKPv9dar+ecEq4Mz8v/Y9Sn9eSxJ7YBc4ttaFDKf6bezn
 dlxDcRt/eOuOoayciMbKOYgSDgOCcWJi5siUkaY6R6h3gNJsnowF4jbOHJzXczuUkYvH
 Ezo2QdT7SVlvVyseE9dCN1b+fKxIoDEtpauDlkeHN34TcWUgzNq7P8mF+3RVrOJ59m2C
 OQeQ==
X-Gm-Message-State: AMke39lDLC1MScxEIHdUBwNPRD76XWsoQQHQlpHi3XqfiQOZ6zdUwXbtvcSzgUjIdijSDQ==
X-Received: by 10.55.100.11 with SMTP id y11mr9071718qkb.62.1487345658943;
 Fri, 17 Feb 2017 07:34:18 -0800 (PST)
Received: from flea (c-98-229-60-157.hsd1.ma.comcast.net. [98.229.60.157])
 by smtp.gmail.com with ESMTPSA id t7sm6696843qtb.11.2017.02.17.07.34.16
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 17 Feb 2017 07:34:16 -0800 (PST)
From: Ted Zlatanov <tzz@HIDDEN>
To: trentbuck@HIDDEN (Trent W. Buck)
Subject: Re: bug#25769: 24.5;
 netrc-parse assumes machine/login/password all appear on one line
In-Reply-To: <87d1ehoblp.fsf@HIDDEN> (Trent W. Buck's message of "Fri, 17
 Feb 2017 12:22:10 +1100")
Organization: =?utf-8?B?0KLQtdC+0LTQvtGAINCX0LvQsNGC0LDQvdC+0LI=?= @ Cienfuegos
References: <87d1ehoblp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
X-Face: bd.DQ~'29fIs`T_%O%C\g%6jW)yi[zuz6;
 d4V0`@y-~$#3P_Ng{@m+e4o<4P'#(_GJQ%TT=
 D}[Ep*b!\e,fBZ'j_+#"Ps?s2!4H2-Y"sx"
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 17 Feb 2017 10:34:14 -0500
Message-ID: <877f4okf0p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 25769
Cc: 25769 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

On Fri, 17 Feb 2017 12:22:10 +1100 trentbuck@HIDDEN (Trent W. Buck) wrote: 

TWB> ...but now I'm finally annoyed enough to actually report this and get a formal WONTFIX.

Please see
https://lists.gnu.org/archive/html/bug-gnu-emacs/2015-12/msg00266.html
(the whole discussion is pertinent)

For your bug report specifically, maybe you mean
`auth-source-netrc-parse'? If you do mean `netrc-parse', please note
that it's only used in one place in the whole Emacs core AFAIK.
Otherwise, if you can come up with a patch against
`auth-source-netrc-parse' that handles multiline AND quoting as I
suggested, I see no problem with merging it. But I would rather not
patch or support netrc.el--better to remove it altogether.

Thanks
Ted




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25769; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Feb 2017 01:22:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 16 20:22:32 2017
Received: from localhost ([127.0.0.1]:42850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ceXFn-0004ZH-Sf
	for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 20:22:32 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52480)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <trentbuck@HIDDEN>) id 1ceXFj-0004Yz-Gx
 for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 20:22:30 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <trentbuck@HIDDEN>) id 1ceXFc-000534-Qo
 for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 20:22:22 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42575)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <trentbuck@HIDDEN>) id 1ceXFc-00052w-NL
 for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 20:22:20 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43438)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <trentbuck@HIDDEN>) id 1ceXFb-0000v9-5l
 for bug-gnu-emacs@HIDDEN; Thu, 16 Feb 2017 20:22:20 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <trentbuck@HIDDEN>) id 1ceXFX-0004zg-RD
 for bug-gnu-emacs@HIDDEN; Thu, 16 Feb 2017 20:22:19 -0500
Received: from mail-pf0-x22b.google.com ([2607:f8b0:400e:c00::22b]:33078)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <trentbuck@HIDDEN>) id 1ceXFX-0004z0-J9
 for bug-gnu-emacs@HIDDEN; Thu, 16 Feb 2017 20:22:15 -0500
Received: by mail-pf0-x22b.google.com with SMTP id c73so9436257pfb.0
 for <bug-gnu-emacs@HIDDEN>; Thu, 16 Feb 2017 17:22:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=zHEqPwYTWuSrF87SsSVfwxUdgIahljCU+yDdffBZXo0=;
 b=HClLcuuJy7wo8pBuNgB3YxYQWmbB+rUsyN/TCK/qcF85MSRp1vpQ0XGKPK9nP9cK7v
 3aH2Sx/YkwyO7xQPZ4rHOZ3nOig9DwbTfKW3dwmAsI7n4VYEUwMegozZ6SCsZlfyfnEE
 BtWvGph91vrh1POchVAKBnIfQwatiBPBvf1KKZh6xvAOlyt9Ab+nd5HCFYTyfXkOfABE
 thhDxFUQlxIbl3+UQBG4AqXzbxGhqGGOI7BkhSU2trf6x/cv867En1hOz3GqISgThKk8
 YBgW/nSwteukhxetTpi9QHcbdjG6jJnzFx3P0xiYPB3NqIPlo9VyNoiOxXrCGekhYGKJ
 rEQA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=zHEqPwYTWuSrF87SsSVfwxUdgIahljCU+yDdffBZXo0=;
 b=ckBs63MRzZjQ+bE1m3vfMeSDXizBHGDYi50vNG70OCK6AAurgOaddvzWrOn2+BMBFb
 wMzgAffULUY1bOg2jYR5daA7XuDOExq0vh/xV/mWlnPBUrwpuf4hlRJSyAz9qhGNX/Tt
 dJGtnPlm8FzXQfo9JiLi5nqTtsjD6AtWIC+eauAsBhyCdqUzpTusaf/mjyRIIFagBRVt
 nj5gLIGN/854ZKC1ghVzkZDhAhNwuWTequupPK1fzmXoO8xODx74JT8CZV9cjU1DuKKW
 uISFXO+cCAHLhLH7fxOTKrZ/dDrsOew7Jhnpxhvt0+SEfmJjSQBfXJxuErpb9PbbxXTB
 py+A==
X-Gm-Message-State: AMke39m2m4arLHGi/Hyl+dpVQsn/ni0xR5rmaHOttzm36rykf109a5HCxaX5OafnzDdv4A==
X-Received: by 10.84.139.36 with SMTP id 33mr7386300plq.61.1487294534338;
 Thu, 16 Feb 2017 17:22:14 -0800 (PST)
Received: from localhost ([203.7.155.122])
 by smtp.gmail.com with ESMTPSA id b75sm15691031pfb.90.2017.02.16.17.22.13
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 16 Feb 2017 17:22:13 -0800 (PST)
From: trentbuck@HIDDEN (Trent W. Buck)
To: bug-gnu-emacs@HIDDEN
Subject: 24.5;
 netrc-parse assumes machine/login/password all appear on one line
Date: Fri, 17 Feb 2017 12:22:10 +1100
Message-ID: <87d1ehoblp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

With a file /tmp/test.netrc like this:

    # -*- conf-space-keywords: "machine\\|login\\|password" -*-
    machine XM login XL password XP

    machine YM
      login YL
      password YP

The first record is parsed correctly; the second is not:

    *** Welcome to IELM ***  Type (describe-mode) for help.
    ELISP> (require 'netrc)
    netrc
    ELISP> (netrc-parse "/tmp/test.netrc")
    ((("machine" . "XM")
      ("login" . "XL")
      ("password" . "XP"))
     (("machine" . "YM"))
     (("login" . "YL"))
     (("password" . "YP")))

The python netrc parser has no problem with this:

    bash4$ python -c 'import netrc;print(netrc.netrc("/tmp/test.netrc"))'
    machine YM
            login 'YL'
            password 'YP'
    machine XM
            login 'XL'
            password 'XP'

For the last seven years I have used fugly workarounds like this:

    (eval-after-load "rcirc"
      '(setq rcirc-authinfo
             (let ((f (lambda (host)
                        (list
                         (shell-command-to-string
                          (concat
                           "python -c \"import netrc,sys; sys.stdout.write(netrc.netrc().authenticators('" host "')[0])\""))
                         (shell-command-to-string
                          (concat
                           "python -c \"import netrc,sys; sys.stdout.write(netrc.netrc().authenticators('" host "')[2])\""))))))
               `(("freenode" nickserv ,@(funcall f "irc.freenode.net"))
                 ("oftc"     nickserv ,@(funcall f "irc.oftc.net"))))))


...but now I'm finally annoyed enough to actually report this and get a formal WONTFIX.


In GNU Emacs 24.5.1 (x86_64-pc-linux-gnu)
 of 2016-03-20 on trouble, modified by Debian
System Description:	Debian GNU/Linux 8.0 (jessie)

Configured using:
 `configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --with-x=no --without-gconf --without-gsettings 'CFLAGS=-g -O2
 -fstack-protector-strong -Wformat -Werror=format-security -Wall'
 CPPFLAGS=-D_FORTIFY_SOURCE=2 LDFLAGS=-Wl,-z,relro'

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_AU.utf8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  xterm-mouse-mode: t
  global-hl-todo-mode: t
  ido-everywhere: t
  savehist-mode: t
  icomplete-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Loading /etc/emacs/site-start.d/50pylint.el (source)...done
Loading /etc/emacs/site-start.d/50python-docutils.el (source)...done
Loading /etc/emacs/site-start.d/50w3m-el-snapshot.el (source)...done
Loading /etc/emacs/site-start.d/50yaml-mode.el (source)...done
Loading /etc/emacs/site-start.d/51debian-el.el (source)...done
Loading term/xterm...done
For information about GNU Emacs and the GNU system, type C-h C-a.
(New file)
Saving file /tmp/test.netrc...
Wrote /tmp/test.netrc

Load-path shadows:
/usr/share/emacs/24.5/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/24.5/lisp/textmodes/rst
/usr/share/emacs24/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/24.5/lisp/textmodes/ispell
/usr/share/emacs24/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/24.5/lisp/textmodes/flyspell

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader windmove netrc eldoc paredit ielm easymenu pp
mule-util image xterm advice sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils jka-compr edmacro kmacro cl-loaddefs
cl-lib disp-table xt-mouse hl-todo ido savehist icomplete time-date
paren delsel saveplace debian-el debian-el-loaddefs w3m-load pylint
compile comint regexp-opt ansi-color ring tool-bar 50magit
emacs-goodies-el emacs-goodies-custom emacs-goodies-loaddefs easy-mmode
dpkg-dev-el dpkg-dev-el-loaddefs tooltip electric uniquify ediff-hook
vc-hooks lisp-float-type tabulated-list newcomment lisp-mode prog-mode
register page menu-bar rfn-eshadow timer select mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify multi-tty emacs)

Memory information:
((conses 16 146933 5210)
 (symbols 48 20215 0)
 (miscs 40 56 107)
 (strings 32 57672 5010)
 (string-bytes 1 1690448)
 (vectors 16 9578)
 (vector-slots 8 359325 11742)
 (floats 8 84 606)
 (intervals 56 380 0)
 (buffers 960 13)
 (heap 1024 11972 909))




Acknowledgement sent to trentbuck@HIDDEN (Trent W. Buck):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25769; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 21 Feb 2017 03:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.